from django.urls import path

from propositions import views
from propositions.models import Answer

app_name = "propositions"
urlpatterns = [
    path("", views.PropositionList.as_view(), name="list"),
    path("new", views.PropositionCreate.as_view(), name="create"),
    path("<int:id>/oui", views.answer, {"ans": "oui"}, name=Answer.YES),
    path("<int:id>/non", views.answer, {"ans": "non"}, name=Answer.NO),
    path("<int:pk>/supprimer", views.PropositionDelete.as_view(), name="delete"),
]
